From 8dcb3bd3f51fba35acccf53acb7863a67cd96990 Mon Sep 17 00:00:00 2001
From: Esteban AP <esteban.aguero@northern.tech>
Date: Mon, 26 Sep 2022 20:25:57 +0000
Subject: [PATCH] Removed root references

Signed-off-by: Esteban Aguero Perez <esteban.aguero@northern.tech>
---
 include/configs/pentagram_common.h | 59 ++++--------------------------
 1 file changed, 7 insertions(+), 52 deletions(-)

diff --git a/include/configs/pentagram_common.h b/include/configs/pentagram_common.h
index 7ebadd61..fca7111b 100644
--- a/include/configs/pentagram_common.h
+++ b/include/configs/pentagram_common.h
@@ -152,55 +155,6 @@
  * But now sp_go DO verify magic/hcrc/dcrc in the quick sunplus uIamge header.
  * So the address passed for sp_go must have header in it.
  */
-#define CONFIG_BOOTCOMMAND \
-"echo [scr] bootcmd started; " \
-"md.l ${bootinfo_base} 1; " \
-"if itest.l *${bootinfo_base} == " __stringify(SPI_NOR_BOOT) "; then " \
-	"if itest ${if_zebu} == 1; then " \
-		"if itest ${if_qkboot} == 1; then " \
-			"echo [scr] qk zmem boot; " \
-			"run qk_zmem_boot; " \
-		"else " \
-			"echo [scr] zmem boot; " \
-			"run zmem_boot; " \
-		"fi; " \
-	"else " \
-		"if itest ${if_qkboot} == 1; then " \
-			"echo [scr] qk romter boot; " \
-			"run qk_romter_boot; " \
-		"elif itest.s ${sp_main_storage} == tftp; then " \
-			"echo [scr] tftp_boot; " \
-			"run tftp_boot; " \
-		"else " \
-			"echo [scr] romter boot; " \
-			"run romter_boot; " \
-		"fi; " \
-	"fi; " \
-"elif itest.l *${bootinfo_base} == " __stringify(EMMC_BOOT) "; then " \
-	"if itest ${if_zebu} == 1; then " \
-		"echo [scr] zebu emmc boot; " \
-		"run zebu_emmc_boot; " \
-	"else " \
-		"if itest ${if_qkboot} == 1; then " \
-			"echo [scr] qk emmc boot; " \
-			"run qk_emmc_boot; " \
-		"else " \
-			"echo [scr] emmc boot; " \
-			"run emmc_boot; " \
-		"fi; " \
-	"fi; " \
-"elif itest.l *${bootinfo_base} == " __stringify(SPINAND_BOOT) "; then " \
-	"echo [scr] nand boot; " \
-	"run nand_boot; " \
-"elif itest.l *${bootinfo_base} == " __stringify(USB_ISP) "; then " \
-	"echo [scr] ISP from USB storage; " \
-	"run isp_usb; " \
-"elif itest.l *${bootinfo_base} == " __stringify(SDCARD_ISP) "; then " \
-	"echo [scr] ISP from SD Card; " \
-	"run isp_sdcard; " \
-"else " \
-	"echo Stop; " \
-"fi"
 
 #define DSTADDR_KERNEL		0x307FC0 /* if stext is on 0x308000 */
 #define DSTADDR_DTB		0x2FFFC0
@@ -265,7 +219,7 @@
 	"setexpr sz_kernel ${sz_kernel} + 0xffff; " \
 	"setexpr sz_kernel ${sz_kernel} / 0x10000; " \
 	"setexpr sz_kernel ${sz_kernel} * 0x10000; " \
-	"setenv bootargs ${b_c} root=/dev/mtdblock6 rw rootfstype=jffs2 user_debug=255 rootwait " \
+	"setenv bootargs ${b_c} rw rootfstype=jffs2 user_debug=255 rootwait " \
 	"mtdparts=9c000b00.spinor:64k@0(iboot)ro,64k(xboot)ro,128k(dtb),768k(uboot),1m(reserve),0x${sz_kernel}(kernel),-(rootfs); "
 #else
 #define NOR_LOAD_KERNEL \
@@ -389,11 +344,11 @@
 	"setexpr sz_kernel ${sz_kernel} + ${sz_sign}; " \
 	dbg_scr("echo from kernel partition to ${addr_dst_kernel} sz ${sz_kernel}; ") \
 	"nand read ${addr_dst_kernel} kernel ${sz_kernel}; " \
-	"setenv bootargs ${b_c} root=ubi0:rootfs rw ubi.mtd=9,2048 rootflags=sync rootfstype=ubifs mtdparts=${mtdparts} user_debug=255 rootwait; " \
+	"setenv bootargs ${b_c} rw ubi.mtd=9,2048 rootflags=sync rootfstype=ubifs mtdparts=${mtdparts} user_debug=255 rootwait; " \
 	"run boot_kernel \0" \
 "boot_kernel="\
 	"if itest ${if_use_nfs_rootfs} == 1; then " \
-		"setenv bootargs ${b_c} root=/dev/nfs nfsroot=${nfs_serverip}:${nfs_rootfs_dir} ip=${nfs_clintip}:${nfs_serverip}:${nfs_gatewayip}:${nfs_netmask}::eth0:off rdinit=/linuxrc noinitrd rw; "\
+		"setenv bootargs ${b_c} nfsroot=${nfs_serverip}:${nfs_rootfs_dir} ip=${nfs_clintip}:${nfs_serverip}:${nfs_gatewayip}:${nfs_netmask}::eth0:off rdinit=/linuxrc noinitrd rw; "\
 	"fi; " \
 	"verify ${addr_dst_kernel}; " \
 	"bootm ${addr_dst_kernel} - " DTS_LOAD_ADDR "; " \
-- 
2.25.1

